require 'raci'
require 'csv'

class Hermes::Admin::XmlErrorsController < Hermes::Admin::BaseController
    
    def index
      q = {}
      unless params[:item_id].blank?
        q[:item_id] = params[:item_id]
      end
      unless params[:item_class].blank?
        q[:item_class] =   params[:item_class]
      end
      if !params["date_start"].blank? || !params["date_end"].blank?
        q[:created_at] = {}
        unless params[:date_start].blank?
          q[:created_at]['$gte'] = Time.parse(params["date_start"]).utc
        end
        unless params[:date_end].blank?
          q[:created_at]['$lt'] = Time.parse(params["date_end"]).utc
        end
      end
      
      Rails.logger.debug "QUERY #{q}"
      
      @xml_errors = Hermes::XmlSopraError.order_by(created_at: :desc).where(q).paginate(:page => params[:page])
      respond_to do |format|
        format.html{
          current_user.logs.create(:action => "L'administrateur #{current_user.full_name} regarde les erreurs xml de l'application", :code => "LOG")
          
        }
        format.js
      end
    end
end 
