# frozen_string_literal: true

class Hermes::Api::Dmo::AccountingsController < Hermes::Api::Dmo::ApplicationController
  VALID_OPERATORS = %w[$in $nin $ne $gt $gte $lt $lte $eq $regex $all]
  ACCEPTABLE_PARAMS = %w[
    target
    object_id
    year
    created_at
    updated_at
  ]

  def index
    acceptable_params *ACCEPTABLE_PARAMS
    valid_operators *VALID_OPERATORS
    super
  end
end