# frozen_string_literal: true

class Flux13SideEffectsJob < ActiveJob::Base
  queue_as :flux_13_side_effects
  unique :until_executed

  def perform(housing_offer_id)
    # Get all active application for given offer
    o = Hermes::HousingOffer.find(housing_offer_id)
    applications = Hermes::HousingApplication.where(is_active: true, housing_offer_id: housing_offer_id)

    ha_status = 
      if ['RETIRE PAR LE BAILLEUR', 'RETIRE PAR ALS'].include?(o.offer_status) && o.lessor_status == 'RETIRE'
        'REPRIS BAILLEUR'
      elsif (o.offer_status == 'ARCHIVE' && o.lessor_status == 'RETIRE') || (o.offer_status == 'RETIRE PAR ALS' && o.lessor_status == 'RETIRE PAR ALS')
        'NON RETENUE'
      else
        nil
      end 

    return unless ha_status
    
    applications.each do |application|
      application.update!(status: ha_status)
    end
  end
end